html {
    outline: none;
}

body {
    background-image: url(img/Background.png);
    font-family: Arial, Helvetica, sans-serif !important;
    color: #585858;
}

p {
    text-align: center;
    margin-bottom:30px;
}

.inputBox {
    cursor:text !important;
    height: 45px;
    -webkit-border-radius: 25px;
    -moz-border-radius: 25px;
    border-radius: 25px;
    color: #727272;
    font-size: 18px !important;
    line-height: 30px;
    /*text-align: left !important;*/
    padding: 0 12px 0 20px;
    background-color: #fff;
    border: 1px solid #ccc !important;
    outline: none;
    box-shadow: 0 1px 2px white, inset 0px 1px 5px #cfcfcf;
    -moz-box-shadow: 0 1px 2px white, inset 0px 1px 5px #cfcfcf;
    -webkit-box-shadow: 0 1px 2px white, inset 0px 1px 5px #cfcfcf;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    margin:5px 0 15px 0;
    text-align: center !important;
}

.loginArea {
    width: 620px;
    height: 445px;
    margin:0 auto;
    margin-top: 10%;
    background-color: #f6f6f6;
    -webkit-border-radius: 25px !important;
    -moz-border-radius: 25px !important;
    border-radius: 25px !important;
    -moz-box-shadow: 0 2px 5px #6d7f84;
    -webkit-box-shadow: 0 2px 5px #6d7f84;
    box-shadow: 0 2px 5px #6d7f84;
}

.loginContent {
    box-sizing: border-box !important;
    -webkit-box-sizing: border-box !important;
    -moz-box-sizing: border-box !important;
    padding:10px 95px 0 95px ;
}

.loginContent p {
    margin-bottom: 20px !important;
}

.loginArea .inputBox {
    width: 100%;
}

.inline {
    float: left;
    margin-top: 10px;
    margin-right: 10px;
    text-align: center;
}

.inline .label {
    font-size: 16px !important;
}

.inline .inputBox {
    height: 53px;
}

.inline [id="card"]{
    width: 200px;
}
.inline [id="date"]{
    width: 150px;
}
.inline [id="balance"], .inline [id="status"]{
    width: 130px;
}

input.centered {
    text-align: center;
}

.panelHeader {
    text-align: center;
    height: 70px;
    background-color: #FFFFFF !important;
    font-size: 30px;
    color: #337483;
    padding: 15px !important;
    width: 100% !important;
    clip: auto !important;
    box-sizing: border-box !important;
    -moz-box-sizing: border-box !important;
    -webkit-box-sizing: border-box !important;
    border-top-left-radius: 25px !important;
    border-top-right-radius: 25px !important;
    -webkit-border-top-left-radius: 25px !important;
    -webkit-border-top-right-radius: 25px !important;
    -moz-border-radius-topleft: 25px !important;
    -moz-border-radius-topright: 25px !important;
    vertical-align: top !important;
    border-bottom: 1px solid #CCC !important;
}

.merchantHeader {
    height: 95px !important;
}

.label {
    color: #212121 !important;
    font-size: 14px;
    font-weight: bold;
}

.button {
    cursor: pointer;
    height: 45px;
    text-align: center;
    -webkit-border-radius: 25px;
    -moz-border-radius: 25px;
    border-radius: 25px;
    -moz-background-clip: padding;
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    white-space: nowrap;
    white-space: -moz-nowrap;
    white-space: nowrap;
    white-space: -o-nowrap;
    line-height: 1;
}

.greenBtn {
    color: #fff !important;
    width: 100%;
    padding: 5px 15px 5px 15px !important;
    font-size: 18px;
    color: #339966;
    background-color: #396;
    background-image: -webkit-gradient(linear, lefttop, leftbottom, from(#39b2b1),	to(#1a9190));
    background-image: -webkit-linear-gradient(top, #39b2b1, #1a9190);
    background-image: -moz-linear-gradient(top, #39b2b1, #1a9190);
    background-image: -ms-linear-gradient(top, #39b2b1, #1a9190);
    background-image: -o-linear-gradient(top, #39b2b1, #1a9190);
    background-image: linear-gradient(tobottom, #39b2b1, #1a9190);
    border: none;
}

.greenBtn:hover {
    background: #1a908f !important;
}

.blueBtn {
    color: #fff !important;
    width: 100%;
    padding: 5px 15px 5px 15px !important;
    font-size: 18px;
    color: #FFFFFF;
    background-color: #1B365D;
    border: none;
}

.blueBtn:hover {
    background: #1B365D !important;
}


.greyBtn {
    color: #5c5c5c;
    width:90px;
    border: 1px solid #acacac;
    font-size: 15px;
    float: right;
    margin-top: -40px;
    background-image: -webkit-gradient(linear, lefttop, leftbottom, from(#f5f5f5), to(#dadada));
    background-image: -webkit-linear-gradient(top, #f5f5f5, #dadada);
    background-image: -moz-linear-gradient(top, #f5f5f5, #dadada);
    background-image: -ms-linear-gradient(top, #f5f5f5, #dadada);
    background-image: -o-linear-gradient(top, #f5f5f5, #dadada);
    background-image: linear-gradient(tobottom, #f5f5f5, #dadada);
    box-shadow: 0 1px 2px white, inset 0px 0px 10px #cbcbcb;
    -moz-box-shadow: 0 1px 2px white, inset 0px 0px 10px #cbcbcb;
    -webkit-box-shadow: 0 1px 2px white, inset 0px 0px 10px #cbcbcb;
}

.greyBtn:hover {
    background: #f5f5f5 !important;
}

.sendEmailBtn {
    margin-top: 0px !important;
}

.merchantLogoutBtn {
    margin-top: -56px !important;
}

.latestTransactions {
    width: 100%;
    text-align: left;
    color: #337483;
    font-size: 20px;
    margin: 20px 0 15px 0;
}

.balanceArea {
    position: relative;
    margin:0 auto;
    width: 695px;
    height: auto;
    background-color: #f6f6f6;
    -webkit-border-radius: 25px !important;
    -moz-border-radius: 25px !important;
    border-radius: 25px !important;
    -moz-box-shadow: 0 2px 5px #6d7f84;
    -webkit-box-shadow: 0 2px 5px #6d7f84;
    box-shadow: 0 2px 5px #6d7f84;
}

.balanceContent {
    box-sizing: border-box !important;
    -webkit-box-sizing: border-box !important;
    -moz-box-sizing: border-box !important;
    padding:10px 20px 30px 20px;
}

.panelHeader span {
    text-align: center;
    width: 100%;
    display: block;
}

.panelHeader span.panelHeaderSpanTitle1 {
    color: #1B365D;
}

.panelHeader span.panelHeaderSpanTitle2 {
    color: #DA291C;
}

.panelHeaderSpanTitle3 {
    color: #DA291C !important;
}

.currentDate {
    margin-top: 10px;
    font-weight: bold;
}

.currentDate span {
    text-align: center;
    width: 100%;
    display: block;
}

.footer {
    width: 100%;
    height: 50px;
    text-align: center;
    font-size: 13px;
    margin: 0 auto;
    margin-top: 15px;
}

.red, .errorMessage {
    color: red;
}

.disabledCard {
    background-color: red;
    color: #ffffff !important;
}

.onHoldCard {
    background-color: yellow;
    color: red !important;
}

.black {
    color: black;
}

.alignRight {
    text-align: right !important;
}

/* 	Generic Styling, for Desktops/Laptops 	*/
table {
    width: 100%;
    border-collapse:separate;
    border: 1px solid #c7c7c7;
    -webkit-border-radius: 15px !important;
    -moz-border-radius: 15px !important;
    border-radius: 15px !important;
}

/*caption {
    width: 100%;
    text-align: left;
    color: #337483;
    font-size: 20px;
    margin: 20px 0 15px 0;
} */

/* round the corners of the header rows... */
thead tr th:first-child {
    border-top-left-radius: 15px;
}

thead tr th:last-child {
    border-top-right-radius: 15px;
}
/* the first 'td' within the last 'tr' of the 'tbody': */
tbody tr:last-child td:first-child {
    border-radius:0 0 0 15px;
    -webkit-border-radius:0 0 0 15px;
    -moz-border-radius:0 0 0 15px;
}

/* the last 'td' within the last 'tr' of the 'tbody': */
tbody tr:last-child td:last-child {
    border-radius:0 0 15px 0;
    -webkit-border-radius:0 0 15px 0;
    -moz-border-radius:0 0 15px 0;
}

/* single table row  with no transactions */
.noTransactions {
    border-radius:0 0 15px 15px !important;
    -webkit-border-radius:0 0 15px 15px !important;
    -moz-border-radius:0 0 15px 15px !important;
}

.summary {
    margin-top: -40px !important;
}

form.getCardDetails {
    text-align: center;
}

thead tr {
    height: 45px;
    background-image: -webkit-gradient(linear, lefttop, leftbottom, from(#f7f7f7),	to(#e2e2e2));
    background-image: -webkit-linear-gradient(top, #f7f7f7, #e2e2e2);
    background-image: -moz-linear-gradient(top, #f7f7f7, #e2e2e2);
    background-image: -ms-linear-gradient(top, #f7f7f7, #e2e2e2);
    background-image: -o-linear-gradient(top, #f7f7f7, #e2e2e2);
    background-image: linear-gradient(tobottom, #f7f7f7, #e2e2e2);
}
/* Zebra striping */
tbody tr:nth-child(even) {background: #f6f8f8;}
tbody tr:nth-child(odd) {background: #fff;}
    }

td, th {
    padding: 12px;
    font-size: 13px !important;
    text-align: left;
}

@media only screen and (max-width: 760px),(min-device-width: 768px) and (max-device-width: 1024px)  {

    /* Force table to not be like tables anymore */
    table, thead, tbody, th, td, tr {
        display: block;
    }

    table {
        border-collapse:collapse !important;

    }
    /* Hide table headers (but not display: none;, for accessibility) */
    thead tr {
        position: absolute;
        top: -9999px !important;
        left: -9999px !important;
    }

    tbody tr:last-child {
        border-radius:0 0 15px 15px;
    }

    tbody tr:last-child td:last-child {
        border:none;
    }

    tbody tr:last-child td:first-child {
        border-radius:0;
        -webkit-border-radius:0;
        -moz-border-radius:0;
    }

    tr { border-top:1px solid #c7c7c7;}

    td {
        /* Behave  like a "row" */
        border: none;
        height: 30px;
        border-bottom: 1px solid #eee;
        position: relative;
        padding-left: 50%;
    }

    td:before {
        /* Now like a table header */
        position: absolute;
        /* Top/left values mimic padding */
        top: 6px;
        left: 6px;
        width: 45%;
        padding-right: 10px;
        white-space: nowrap;
        font-weight: bold;
    }

    /*
    Label the data
    */
    td:nth-of-type(1):before { content: "Date"; }
    td:nth-of-type(2):before { content: "ID"; }
    td:nth-of-type(3):before { content: "Merchant"; }
    td:nth-of-type(4):before { content: "Type"; }
    td:nth-of-type(5):before { content: "Value"; }
    td:nth-of-type(6):before { content: "Credit"; }
}


/****** MEDIA QUERIES ******/
@media (max-width: 240px) {

    .panelHeader {
        height: 70px !important;
        padding-right:10px !important;
    }

    caption{
        font-size: 15px !important;
    }

    table td{
        text-align: right;
        font-size: 14px !important;
    }
    table td:before {
        text-align: left;
        top: 16px;
        left: 5px !important;
    }
}

/* Smartphones (portrait and landscape) ----------- */
@media only screen and (max-width : 320px) {
    .loginArea{
        width: 100% !important;
        height: auto;
    }
    .loginContent{
        padding: 15px !important;
    }
    p {
        text-align: left;
        font-size: 13px;
    }
    .greyBtn {
        font-size: 13px !important;
        margin-top: -10px !important;
    }
}

@media only screen and (width : 384px) and (orientation:portrait){

    .loginArea{
        width: 100% !important;
        height: auto;
    }
    .loginContent{
        padding: 10px 25px 20px 25px !important;
    }
    .balanceArea .inputBox {
        width: 100%;
        height: 45px !important;
    }
    .balanceArea .label {
        font-size: 14px !important;
    }
    .balanceArea [id="card"], .balanceArea [id="date"]{
        width: 300px;
    }
    .balanceArea [id="balance"], .balanceArea [id="status"]{
        width: 140px;
        margin-right: 15px;
    }
}

/* Smartphones (portrait and landscape) ----------- */
@media only screen and (max-width : 480px) {
    .inline{
        width: 100% !important;
    }

    .loginArea {
        height: auto;
    }
    .loginContent {
        padding: 20px !important;
    }
}

@media only screen and (max-width : 620px) {
    .inline{
        width: 45%;
    }
    .panelHeader {
        font-size: 18px;
        height: 50px;
    }
    .greyBtn {
        height:37px;
        width: 57px;
        margin-top: -32px !important;
    }
    .sendEmailBtn {
        margin-top: 0px !important;
    }
}


@media only screen and (max-width: 767px){
    .loginArea {
        width: 80%;
        height: auto;
    }

    .loginContent {
        padding: 15px 65px 30px 65px;
    }

    .balanceArea .panelHeader span {
        text-align: left;
    }

    .balanceArea {
        width: 100% !important;
    }

    .balanceArea .label {
        font-size: 14px !important;
    }
    .balanceArea [id="card"], .balanceArea [id="date"]{
        width: 100%;
        margin-right: 15px;
    }
    .balanceArea [id="balance"], .balanceArea [id="status"]{
        width: 100%;
        margin-right: 15px;
    }

    .greyBtn {
        margin-top:-40px;

    }

    .sendEmailBtn {
        margin-top: 0px !important;
    }

    table td {
        text-align: right;
    }

    table td:before {
        top: 16px;
        left: 15px;
        text-align:left !important;
    }

    caption{
        width: 250px;
        font-size: 16px;
        font-weight: bold;
        margin-left: 15px;
    }
}

@media only screen and (min-width: 768px) and (max-width: 1199px){
    .loginArea, .balanceArea {
        margin-top: 5%;
    }
}

/*Large desktop*/
@media only screen and (min-width: 1200px){
    .loginArea, .balanceArea {
        margin-top: 5%;
    }
}
